class: GalaxyWorkflow
doc: This workflow take as input a collection of paired fastq. Remove adapters with
  cutadapt v1.16 (now both at the same time), map pairs with bowtie2. Keep MAPQ30
  and concordant pairs. MACS2 for paired bam.
label: WPpaper_markDupAndCount
tags:
- ChIP
uuid: b2f2b8a3-baa8-4702-a68e-58fb25833b91
inputs:
  null:
    optional: false
    position:
      bottom: 883.6000061035156
      height: 81.10000610351562
      left: 603
      right: 803
      top: 802.5
      width: 200
      x: 603
      y: 802.5
    type: collection
outputs:
  'MarkDuplicates on input dataset(s): MarkDuplicate metrics':
    outputSource: 1/metrics_file
  'MarkDuplicates on input dataset(s): MarkDuplicates BAM output':
    outputSource: 1/outFile
steps:
- tool_shed_repository:
    changeset_revision: a1f0b3f4b781
    name: picard
    owner: devteam
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/devteam/picard/picard_MarkDuplicates/2.18.2.2
  tool_version: null
  position:
    bottom: 930.6333312988281
    height: 224.13333129882812
    left: 938
    right: 1138
    top: 706.5
    width: 200
    x: 938
    y: 706.5
  tool_state:
    assume_sorted: 'true'
    barcode_tag: ''
    comments: []
    duplicate_scoring_strategy: SUM_OF_BASE_QUALITIES
    inputFile:
      __class__: ConnectedValue
    optical_duplicate_pixel_distance: '100'
    read_name_regex: ''
    remove_duplicates: 'true'
    validation_stringency: LENIENT
  in:
    inputFile:
      source: '0'
- tool_shed_repository:
    changeset_revision: c370440f901e
    name: samtools_view
    owner: iuc
    tool_shed: toolshed.g2.bx.psu.edu
  tool_id: toolshed.g2.bx.psu.edu/repos/iuc/samtools_view/samtools_view/1.13+galaxy1
  tool_version: null
  position:
    bottom: 797.0333404541016
    height: 132.53334045410156
    left: 1297
    right: 1497
    top: 664.5
    width: 200
    x: 1297
    y: 664.5
  tool_state:
    addref_cond:
      __current_case__: 0
      addref_select: 'no'
    input:
      __class__: ConnectedValue
    mode:
      __current_case__: 0
      output_options:
        __current_case__: 1
        reads_report_type: count
      outtype: all_reads
  in:
    input:
      source: 1/outFile
  out:
    outputcnt:
      hide: true
    outputsam:
      rename: nbOfReads
